org.apache.felix.ipojo.extender.internal.queue.pref

## Class HeaderPreferenceSelection

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.queue.pref.HeaderPreferenceSelection

All Implemented Interfaces:
  PreferenceSelection

    public class HeaderPreferenceSelection
    extends java.lang.Object
    implements PreferenceSelection

A preference selection strategy based on a manifest header. By default, the IPOJO-Queue-Preference header is used.

### Constructor Summary

Constructors
Constructor and Description
`HeaderPreferenceSelection()`
`HeaderPreferenceSelection(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Preference` `select(org.osgi.framework.Bundle source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HeaderPreferenceSelection

    public HeaderPreferenceSelection()

#### HeaderPreferenceSelection

    public HeaderPreferenceSelection(java.lang.String name)

### Method Detail

#### select

    public Preference select(org.osgi.framework.Bundle source)

Specified by:
  `select` in interface `PreferenceSelection`